m.measure(1)

NAME
m.measure - Measures the lengths and areas of features.

KEYWORDS
miscellaneous, measurement, distance, area

SYNOPSIS
m.measure
m.measure --help
m.measure [-g] coordinates=east,north[,east,north,...] [units=string] format=name [--help] [--verbose] [--quiet] [--ui]

  Flags:

-g
    Shell script style [deprecated]
    This flag is deprecated and will be removed in a future release. Use format=shell instead.

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

coordinates=east,north[,east,north,...] [required]
    Coordinates

units=string
    Units
    Default: project map units
    Options: miles, feet, meters, kilometers, acres, hectares

format=name [required]
    Output format
    Options: plain, shell, json
    Default: plain
    plain: Plain text output
    shell: shell script style output
    json: JSON (JavaScript Object Notation)

DESCRIPTION
m.measure provides the user with a way to measure the lengths and areas of lines and polygons. Areas can be stated in acres, hectares, square miles, square feet, square meters and square kilometers.

EXAMPLES
Distance example in a latitude-longitude coordinate reference system (on great circle, i.e. an orthodrome):

Bonn_DE="7.09549,50.73438"
Philadelphia_US="-75.16379,39.95233"
m.measure coordinates="$Bonn_DE,$Philadelphia_US" units=kilometers
Length:  6217.916452 kilometers

Visualization (with d.geodesic) of m.measure distance example

As an example for the North Carolina sample dataset, here four points describing a square of 1000m side length:

m.measure units=meters \
  coordinates=922000,2106000,923000,2106000,923000,2107000,922000,2107000
Length:  3000.000000 meters
Area:    1000000.000000 square meters
# script style output:
m.measure -g units=hectares \
  coordinates=922000,2106000,923000,2106000,923000,2107000,922000,2107000
units=meters,square meters
length=3000.000000
area=1000000.000000

SEE ALSO
d.geodesic

AUTHORS
Glynn Clements
Some updates by Martin Landa, CTU in Prague, Czech Republic
Derived from d.measure by James Westervelt, Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: m.measure source code (history)

Latest change: Monday Nov 03 07:16:48 2025 in commit: c96796774942e46bbababcd652d3986d4e295665

Main index | Miscellaneous index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual